none
Office 2010 templates and Framework 4 in Visual Studio 2008 RRS feed

  • Question

  • Simple question - Is it possible?

    Visual Studio 2008/VSTO support Excel 2003/2007 (Framework 3.5).
    Visual Studio 2010/VSTO support Excel 2007/2010 (Framework 3.5, 4).

    I have only VS 2008. I install VSTO v4 into the system (with Office 2007/2010), but nothing happened.

    If I remember, in the past, if we want support Office 2007 templates for older Visual Studio, we need only VSTO v3 SE... and now?

    Thank you.

    Saturday, March 12, 2011 10:45 PM

Answers

  • Hi Petr,

    Thanks for posting in the MSDN Forum.

    As far as I know that VSTO 4.0 requires Visual Studio 2010. And VSTO 3.0 requires Visual 2008. And VSTO 2005 SE Supports Office 2007 too, but it isn’t VSTO 3.0.

    Have a good day,

    Tom


    Tom Xu [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Monday, March 14, 2011 2:45 AM
    Moderator

All replies

  • Hi Petr,

    Thanks for posting in the MSDN Forum.

    As far as I know that VSTO 4.0 requires Visual Studio 2010. And VSTO 3.0 requires Visual 2008. And VSTO 2005 SE Supports Office 2007 too, but it isn’t VSTO 3.0.

    Have a good day,

    Tom


    Tom Xu [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Monday, March 14, 2011 2:45 AM
    Moderator
  • So well-advised way is:

    Visual Studio 2008 (Professional) and

    a) Office 2003 templates with .NET Framework 2.0
    b) Office 2007 templates with .NET Framework 3.5 (can use it in Office 2010 (32/64bit?), but without .NET Framework 4 advantages)
    c) third-party addins (Add-in Express)

     

     

    Tuesday, March 15, 2011 12:09 AM